Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.casemanagement
Class CaseServiceBean

    java.lang.Object
      com.tibco.bpm.web.client.model.types.casemanagement.CaseServiceBean

    public class CaseServiceBean

extends java.lang.Object

Constructor Summary
`CaseServiceBean()`

Method Summary
`java.lang.String` | `getCaseActionName()`
`java.lang.String` | `getCaseClassName()`
`java.lang.String` | `getCaseRefParamName()`
`java.util.List<java.lang.String>` | `getCaseState()`
`java.lang.String` | `getHasFormalParameters()`
`java.lang.String` | `getModuleName()`
`java.lang.String` | `getProcessName()`
`java.lang.String` | `getVersion()`
`void` | `setCaseActionName(java.lang.String caseActionName)`
`void` | `setCaseClassName(java.lang.String caseClassName)`
`void` | `setCaseRefParamName(java.lang.String caseRefParamName)`
`void` | `setCaseState(java.util.List<java.lang.String> caseState)`
`void` | `setHasFormalParameters(java.lang.String hasFormalParameters)`
`void` | `setModuleName(java.lang.String moduleName)`
`void` | `setProcessName(java.lang.String processName)`
`void` | `setVersion(java.lang.String version)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CaseServiceBean

    public CaseServiceBean()

Method Detail

### getCaseRefParamName

    public java.lang.String getCaseRefParamName()

### setCaseRefParamName

    public void setCaseRefParamName(java.lang.String caseRefParamName)

### getCaseActionName

    public java.lang.String getCaseActionName()

### setCaseActionName

    public void setCaseActionName(java.lang.String caseActionName)

### getCaseClassName

    public java.lang.String getCaseClassName()

### setCaseClassName

    public void setCaseClassName(java.lang.String caseClassName)

### getHasFormalParameters

    public java.lang.String getHasFormalParameters()

### setHasFormalParameters

    public void setHasFormalParameters(java.lang.String hasFormalParameters)

### getModuleName

    public java.lang.String getModuleName()

### setModuleName

    public void setModuleName(java.lang.String moduleName)

### getProcessName

    public java.lang.String getProcessName()

### setProcessName

    public void setProcessName(java.lang.String processName)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getCaseState

    public java.util.List<java.lang.String> getCaseState()

### setCaseState

    public void setCaseState(java.util.List<java.lang.String> caseState)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.